Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.localsearch.decider.selector
Class CompositeSelector

    java.lang.Object
      org.drools.planner.core.localsearch.event.LocalSearchSolverPhaseLifecycleListenerAdapter
          org.drools.planner.core.localsearch.decider.selector.AbstractSelector
              org.drools.planner.core.localsearch.decider.selector.CompositeSelector

All Implemented Interfaces:
  EventListener, DeciderAware, Selector, LocalSearchSolverPhaseLifecycleListener

    public class CompositeSelector

extends AbstractSelector

A CompositeSelector unions multiple Selectors.

Field Summary
`protected List<Selector>` | `selectorList`

Fields inherited from class org.drools.planner.core.localsearch.decider.selector.AbstractSelector
`decider, logger`

Constructor Summary
`CompositeSelector()`

Method Summary
`void` | `beforeDeciding(LocalSearchStepScope localSearchStepScope)`
`Iterator<Move>` | `moveIterator(LocalSearchStepScope localSearchStepScope)`
`void` | `phaseEnded(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)`
`void` | `phaseStarted(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)`
`void` | `setDecider(Decider decider)`
`void` | `setSelectorList(List<Selector> selectorList)`
`void` | `stepDecided(LocalSearchStepScope localSearchStepScope)`
`void` | `stepTaken(LocalSearchStepScope localSearchStepScope)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### selectorList

    protected List<Selector> selectorList

Constructor Detail

### CompositeSelector

    public CompositeSelector()

Method Detail

### setSelectorList

    public void setSelectorList(List<Selector> selectorList)

### setDecider

    public void setDecider(Decider decider)

  Specified by:
    `setDecider` in interface `DeciderAware`
  Overrides:
    `setDecider` in class `AbstractSelector`

### phaseStarted

    public void phaseStarted(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)

  Specified by:
    `phaseStarted` in interface `LocalSearchSolverPhaseLifecycleListener`
  Overrides:
    `phaseStarted` in class `LocalSearchSolverPhaseLifecycleListenerAdapter`

### beforeDeciding

    public void beforeDeciding(LocalSearchStepScope localSearchStepScope)

  Specified by:
    `beforeDeciding` in interface `LocalSearchSolverPhaseLifecycleListener`
  Overrides:
    `beforeDeciding` in class `LocalSearchSolverPhaseLifecycleListenerAdapter`

### moveIterator

    public Iterator<Move> moveIterator(LocalSearchStepScope localSearchStepScope)

### stepDecided

    public void stepDecided(LocalSearchStepScope localSearchStepScope)

  Specified by:
    `stepDecided` in interface `LocalSearchSolverPhaseLifecycleListener`
  Overrides:
    `stepDecided` in class `LocalSearchSolverPhaseLifecycleListenerAdapter`

### stepTaken

    public void stepTaken(LocalSearchStepScope localSearchStepScope)

  Specified by:
    `stepTaken` in interface `LocalSearchSolverPhaseLifecycleListener`
  Overrides:
    `stepTaken` in class `LocalSearchSolverPhaseLifecycleListenerAdapter`

### phaseEnded

    public void phaseEnded(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)

  Specified by:
    `phaseEnded` in interface `LocalSearchSolverPhaseLifecycleListener`
  Overrides:
    `phaseEnded` in class `LocalSearchSolverPhaseLifecycleListenerAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.